> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Trigger Events

> Browse the events a specific trigger has received.



## OpenAPI

````yaml get /v1/workflows/{workflow_id}/triggers/{trigger_id}/events
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/workflows/{workflow_id}/triggers/{trigger_id}/events:
    get:
      tags:
        - V1 - Triggers
      summary: Get Workflow Trigger Events
      description: Browse the events a specific trigger has received.
      operationId: get_workflow_trigger_events
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: string
            title: Workflow Id
        - name: trigger_id
          in: path
          required: true
          schema:
            type: string
            title: Trigger Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_TriggerEvent_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Page_TriggerEvent_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TriggerEvent'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[TriggerEvent]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TriggerEvent:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          $ref: '#/components/schemas/TriggerQueueStatus'
        matched:
          type: boolean
          title: Matched
        event_type:
          type: string
          title: Event Type
        event_data:
          additionalProperties: true
          type: object
          title: Event Data
        retries:
          type: integer
          title: Retries
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        ignore_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ignore Reason
      type: object
      required:
        - id
        - created_at
        - state
        - matched
        - event_type
        - event_data
        - retries
      title: TriggerEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TriggerQueueStatus:
      type: string
      enum:
        - Pending
        - Processing
        - Complete
        - Failed
      title: TriggerQueueStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````